yum provider claims to install nonexistent versions if specified